curl --request DELETE \
--url https://api.blaxel.ai/v0/models/{modelName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/models/{modelName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/models/{modelName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"name": "my-resource",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Resource",
"externalId": "my-session-123",
"labels": {},
"plan": "<string>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"enabled": true,
"flavors": [
{
"name": "t4",
"type": "cpu"
}
],
"integrationConnections": [
"<string>"
],
"policies": [
"<string>"
],
"runtime": {
"endpointName": "<string>",
"generation": "mk3",
"model": "gpt-4.1",
"organization": "org-abc123",
"type": "openai"
},
"sandbox": false
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"status": "DELETING"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}{
"error": "Resource already exists",
"code": 409,
"message": "Invalid request body"
}Delete model endpoint
Permanently deletes a model gateway endpoint. Any agents or applications using this endpoint will need to be updated to use a different model.
Authorizations
OAuth2 authentication with JWT tokens
Path Parameters
Unique name identifier of the model endpoint
Response
successful operation
Gateway endpoint to external LLM provider APIs (OpenAI, Anthropic, etc.) with unified access control, credentials management, and usage tracking.
Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information
Show child attributes
Show child attributes
Configuration for a model gateway endpoint including provider type, credentials, and access policies
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT, ARCHIVING, ARCHIVED, UNARCHIVING Was this page helpful?
